
Name:       perl-Sub-Exporter
Version:    0.987
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    a sophisticated exporter for custom-built routines
Source:     http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Sub-Exporter-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Sub-Exporter
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(base)
Requires: perl(Carp)
Requires: perl(Data::OptList) >= 0.100
Requires: perl(Exporter)
Requires: perl(File::Spec)
Requires: perl(IO::Handle)
Requires: perl(IPC::Open3)
Requires: perl(lib)
Requires: perl(overload)
Requires: perl(Params::Util) >= 0.14
Requires: perl(strict)
Requires: perl(Sub::Install) >= 0.92
Requires: perl(subs)
Requires: perl(Test::More)
Requires: perl(warnings)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList) >= 0.100
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(Params::Util) >= 0.14
BuildRequires: perl(strict)
BuildRequires: perl(Sub::Install) >= 0.92
BuildRequires: perl(subs)
BuildRequires: perl(Test::More) 
BuildRequires: perl(warnings)


%description
*Warning!* If you're not familiar with Exporter or exporting, read the
Sub::Exporter::Tutorial manpage first!

Why Generators?
    The biggest benefit of Sub::Exporter over existing exporters (including
    the ubiquitous Exporter.pm) is its ability to build new coderefs for
    export, rather than to simply export code identical to that found in
    the exporting package.

    If your module's consumers get a routine that works like this:

Rebuilt for the Anvil! HA platform.

%prep
%setup -q -n Sub-Exporter-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Dec 28 2014 %{packager} 0.987-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
